
Figure - 需求 Requirement #111097
需求 Requirement # 110107 (New): 【Locked需求】总票

【Locked需求】FOTA升级需求
2022-08-08 15:49 - 方案组-RD3_CDTS 王浩云

Status: 分析&分解中 In Analysis Start date: 2022-08-08

Priority: Normal Due date: 2022-09-30

Assignee: CD FW-王伟 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_update_20221130

Description

1. 功能描述

    -  中控主屏获升级信息

    -  中控选择选择是否升级，以切换分区，升级完成后，副屏侧自动切换分区

    -  中控下载包，并且分发给副屏，并且主屏展示下载进度

    -  副屏接收包，接收完成后，接收主屏开始升级指令，需展示实时进度条，follow源生自带升级开机进度。

    -  副屏反馈升级结果，并且返回升级过后的版本信息

    -  中控屏幕给副屏分包通过以太网传输，给后排分包通过Wi-Fi传输

2. PRD存放地址：

https://thundersoft.feishu.cn/docs/doccnbiTWilCOYsknNlyp3e1PWf#

3. 客户提供的参考文件，见附件内容

4. 请罗云进，胡兵根据PRD内容，对BSP的工作，以及OTA中，日志的内容进行拆分，相关的研发设计票，关联此票

History

#1 - 2022-08-15 17:11 - 方案组-RD3_CDTS 王浩云

- Assignee changed from FW&MW2组_DLTS 刘显鹤 to CD FW-王伟

#2 - 2022-09-06 16:14 - CD FW-王伟

- Category changed from SYSTEM to CD-FW

#3 - 2022-09-26 18:42 - CD FW-王伟

- Target version set to VX1_MCE_FSE_V3.0_update_20221130

Files

07_Appendix_C3_OTA升级系统对零件ECU自升级的技术需求规范_V5.6.pdf2.44 MB 2022-08-08 方案组-RD3_CDTS 王浩云

HHT_OTA文件系统升级时序图_2.0.pdf 136 KB 2022-08-08 方案组-RD3_CDTS 王浩云

OTA升级需求接口定义.pdf 655 KB 2022-08-08 方案组-RD3_CDTS 王浩云
